> ## Documentation Index
> Fetch the complete documentation index at: https://docs.amplemarket.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve contacts

> Retrieve contacts

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url https://api.amplemarket.com/contacts?ids[]={id} \
    --header 'Authorization: Bearer <token>'
  ```

  ```python Python theme={null}
  import requests

  url = "https://api.amplemarket.com/contacts"
  params = {
      "ids[]": [{id}]
  }

  headers = {"Authorization": "Bearer <token>"}

  response = requests.request("GET", url, headers=headers, params=params)

  print(response.text)
  ```

  ```js JavaScript theme={null}
  const params = new URLSearchParams();
  params.append('ids[]', '{id}');

  const options = {
    method: 'GET',
    headers: { Authorization: 'Bearer <token>' }
  };

  fetch(`https://api.amplemarket.com/contacts?${params.toString()}`, options)
    .then(response => response.json())
    .then(response => console.log(response))
    .catch(err => console.error(err));
  ```

  ```php PHP theme={null}
  <?php

  $curl = curl_init();

  curl_setopt_array($curl, [
    CURLOPT_URL => "https://api.amplemarket.com/contacts?ids[]={id}",
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_ENCODING => "",
    CURLOPT_MAXREDIRS => 10,
    CURLOPT_TIMEOUT => 30,
    CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
    CURLOPT_CUSTOMREQUEST => "GET",
    CURLOPT_HTTPHEADER => [
      "Authorization: Bearer <token>"
    ],
  ]);

  $response = curl_exec($curl);
  $err = curl_error($curl);

  curl_close($curl);

  if ($err) {
    echo "cURL Error #:" . $err;
  } else {
    echo $response;
  }
  ```

  ```go Go theme={null}
  package main

  import (
  	"fmt"
  	"net/http"
  	"io/ioutil"
  )

  func main() {

  	url := "https://api.amplemarket.com/contacts?ids[]={id}"

  	req, _ := http.NewRequest("GET", url, nil)

  	req.Header.Add("Authorization", "Bearer <token>")

  	res, _ := http.DefaultClient.Do(req)

  	defer res.Body.Close()
  	body, _ := ioutil.ReadAll(res.Body)

  	fmt.Println(res)
  	fmt.Println(string(body))

  }
  ```

  ```java Java theme={null}
  HttpResponse<String> response = Unirest.get("https://api.amplemarket.com/contacts?ids[]={id}")
    .header("Authorization", "Bearer <token>")
    .asString();
  ```
</RequestExample>


## OpenAPI

````yaml get /contacts
openapi: 3.0.1
info:
  title: Amplemarket API V1 Docs
  version: v1
servers:
  - url: https://api.amplemarket.com
security:
  - bearerAuth: []
paths:
  /contacts:
    get:
      tags:
        - Contacts
      summary: Retrieve contacts
      description: Retrieve contacts
      parameters:
        - name: name
          in: query
          schema:
            type: string
          required: false
          description: >-
            Optional contact name filter. Use with or without account_id as an
            alternative to ids[]
        - name: account_id
          in: query
          schema:
            type: string
            format: uuid
          required: false
          description: >-
            Optional Prospect Hub account public ID filter. Use with or without
            name as an alternative to ids[]
        - name: ids[]
          in: query
          schema:
            type: array
            items:
              type: string
            maxItems: 20
          required: false
          description: >-
            Optional contact ID filter (maximum of 20 ids). Use ids[] or
            name/account_id filters
      responses:
        '200':
          description: Successful
          content:
            application/json:
              examples:
                Successful:
                  value:
                    contacts:
                      - id: 019e8e97-6edd-76b6-bf75-679fc4fba3db
                        name: John Doe
                        first_name: John
                        last_name: Doe
                        linkedin_url: https://linkedin.com/in/john-doe
                        email: john.doe@example.com
                        time_zone: Europe/Lisbon
                        location: Lisbon, Lisbon, Portugal
                        title: Software Engineer
                        company_domain: amplemarket.com
                        company_name: Amplemarket
                        owner: user@example.com
                        last_contacted_at: '2026-06-01T17:45:49Z'
                        phone_numbers:
                          - id: 019e8e97-6da1-7f37-a85d-c25d5ca05c7e
                            object: phone_number
                            number: +1 639-300-0002
                            type: mobile
                            source: amplemarket
                            kind: mobile
              schema:
                type: object
                properties:
                  contacts:
                    type: array
                    items:
                      $ref: '#/components/schemas/response_contact_object'
        '400':
          description: Bad request
          content:
            application/json:
              examples:
                Missing filters:
                  value:
                    _errors:
                      - code: missing_field
                        title: Missing Field
                        detail: Must provide either name, account_id, or ids parameter
                        source:
                          pointer: /name
                    object: error
                Invalid ids size:
                  value:
                    _errors:
                      - code: unsupported_value
                        title: Unsupported Value
                        detail: Number of contact IDs exceeds limit of 20
                        source:
                          pointer: /ids
                    object: error
              schema:
                $ref: '#/components/schemas/response_errors_object'
components:
  schemas:
    response_contact_object:
      type: object
      required:
        - id
        - email
      additionalProperties: true
      properties:
        id:
          type: string
          format: uuid
        name:
          nullable: true
          type: string
        first_name:
          nullable: true
          type: string
        last_name:
          nullable: true
          type: string
        email:
          nullable: true
          type: string
        linkedin_url:
          nullable: true
          type: string
          format: uri
        title:
          nullable: true
          type: string
        location:
          nullable: true
          type: string
        time_zone:
          nullable: true
          type: string
        company_name:
          nullable: true
          type: string
        company_domain:
          nullable: true
          type: string
        owner:
          nullable: true
          type: string
        last_contacted_at:
          type: string
          format: date_time
          nullable: true
        phone_numbers:
          type: array
          items:
            $ref: '#/components/schemas/response_phone_number_object'
    response_errors_object:
      type: object
      required:
        - object
        - _errors
      additionalProperties: false
      properties:
        object:
          type: string
          enum:
            - error
        _errors:
          type: array
          items:
            $ref: '#/components/schemas/response_error_object'
        _links:
          $ref: '#/components/schemas/response_links_object'
    response_phone_number_object:
      type: object
      required:
        - object
        - id
        - number
        - type
      additionalProperties: true
      properties:
        object:
          type: string
          enum:
            - phone_number
        id:
          type: string
          format: uuid
        number:
          type: string
        type:
          type: string
          enum:
            - mobile
            - office
            - phone
            - landline
            - voip
            - direct
        source:
          type: string
          enum:
            - amplemarket
            - crm
            - user_uploaded
    response_error_object:
      type: object
      required:
        - code
        - title
        - detail
      additionalProperties: false
      properties:
        code:
          type: string
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          additionalProperties: false
          properties:
            pointer:
              type: string
    response_links_object:
      type: object
      required:
        - self
      additionalProperties: false
      properties:
        self:
          $ref: '#/components/schemas/response_link_object'
        prev:
          $ref: '#/components/schemas/response_link_object'
        next:
          $ref: '#/components/schemas/response_link_object'
    response_link_object:
      type: object
      required:
        - href
      additionalProperties: false
      properties:
        href:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````